module MiscReleaseContext
  extend ActiveSupport::Concern

  def misc_releases
    policy_scope(MiscRelease)
  end

  def set_misc_release
    misc_release_id = params[:misc_release_id] || params[:id]

    @misc_release = authorize misc_releases.find(misc_release_id)
  end
end
